Name:           w3lib
Version:        1.6
Release:        4%{?dist}
Summary:        GRIB1 (GRIdded Binary) encoder/decoder and search/indexing routines

Group:          System Environment/Libraries
License:        Public Domain
URL:            http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/
Source0:        http://www.nco.ncep.noaa.gov/pmb/codes/GRIB2/w3lib-%{version}.tar
Source1:        g2clib-msg.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gfortran
#Requires:       

# static libs only so unuseful debuginfo
%define debug_package %{nil}

%description
This library contains Fortran 90 decoder/encoder routines for 
the GRIB (GRIdded Binary) data format edition 1, general date manipulation
routines, and a Fortran 90 interface to "C" language I/O routines.  
The user API for the GRIB1 routines is described in file "grib1.doc".


%package        devel
Summary:        GRIB1 (GRIdded Binary) encoder/decoder and search/indexing routines
Group:          Development/Libraries
#Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
This library contains Fortran 90 decoder/encoder routines for 
the GRIB (GRIdded Binary) data format edition 1, general date manipulation
routines, and a Fortran 90 interface to "C" language I/O routines.  
The user API for the GRIB1 routines is described in file "grib1.doc".

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
chmod a-x *.f *.h *.c README CHANGES grib1.doc Makefile
cp -p %{SOURCE1} .


%build
export FLAGS="$RPM_OPT_FLAGS -DLINUX"
make %{?_smp_mflags} CFLAGS="$FLAGS" FFLAGS="$FLAGS" \
  CC="%{__cc}" F77=gfortran


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_fmoddir}
install -m0644 libw3.a $RPM_BUILD_ROOT%{_libdir}
install -p -m0644 *.mod $RPM_BUILD_ROOT%{_fmoddir}


%clean
rm -rf $RPM_BUILD_ROOT


#%post -p /sbin/ldconfig

#%postun -p /sbin/ldconfig


%files devel
%defattr(-,root,root,-)
%doc README CHANGES grib1.doc g2clib-msg.txt
%{_libdir}/libw3.a
%{_fmoddir}/*.mod


%changelog
* Wed Oct  1 2008 Patrice Dumas <pertusus@free.fr> 1.6-4
- quote %%{__cc} since now the macro also holds compiler options

* Wed Jun  4 2008 Patrice Dumas <pertusus@free.fr> 1.6-3
- don't generate empty debuginfo package

* Wed Jun  4 2008 Patrice Dumas <pertusus@free.fr> 1.6-2
- add g2clib message covering also w3lib precising the license

* Sun May 18 2008 Patrice Dumas <pertusus@free.fr> 1.6-1
- update to 1.6

* Fri Aug 24 2007 Patrice Dumas <pertusus@free.fr> 1.4-1
- initial packaging
